#include "mbed.h"
#include "SHTx/sht15.hpp"

 
SHTx::SHT15 sensor(D9, D8); 

int main()
{
    wait(0.5f);
    sensor.setOTPReload(false);
    sensor.setResolution(true);
    
    while(1) {        
        sensor.update();
        
        // Temperature in celcius
        sensor.setScale(false);
        printf("Temp=%3.2f \r\n", sensor.getTemperature());
        sensor.setScale(true);
    
        // Relative Humidity
        printf("Humi=%3.2f \r\n", sensor.getHumidity());
        wait(3);

    }
}
